<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:robotics.commobject="http://www.eclipse.org/papyrus/robotics/commobject/1" xmlns:robotics.generics="http://www.eclipse.org/papyrus/robotics/generics/1" xmlns:robotics.services="http://www.eclipse.org/papyrus/robotics/services/1" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/papyrus/robotics/commobject/1 http://www.eclipse.org/papyrus/robotics/1#//commobject http://www.eclipse.org/papyrus/robotics/generics/1 http://www.eclipse.org/papyrus/robotics/1#//generics http://www.eclipse.org/papyrus/robotics/services/1 http://www.eclipse.org/papyrus/robotics/1#//services">
  <uml:Model xmi:id="ID" name="rmw_dds_common">
    <packageImport xmi:id="_bQ5QUbZ7EeyK9tds6XVx9g">
      <importedPackage xmi:type="uml:Model" href="pathmap://PapyrusC_Cpp_LIBRARIES/AnsiCLibrary.uml#_DV8nkBv8EduZN5aJJITI5w"/>
    </packageImport>
    <packagedElement xmi:type="uml:Package" xmi:id="_bQ5QUrZ7EeyK9tds6XVx9g" name="svcdefs">
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/P_Gid" name="P_Gid">
        <templateBinding xmi:id="_tmkAEbZ7EeyK9tds6XVx9g">
          <parameterSubstitution xmi:id="_tmkAErZ7EeyK9tds6XVx9g" actual="ID_msg_Gid">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/P_NodeEntitiesInfo" name="P_NodeEntitiesInfo">
        <templateBinding xmi:id="_trHI4bZ7EeyK9tds6XVx9g">
          <parameterSubstitution xmi:id="_trHI4rZ7EeyK9tds6XVx9g" actual="ID_msg_NodeEntitiesInfo">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/P_ParticipantEntitiesInfo" name="P_ParticipantEntitiesInfo">
        <templateBinding xmi:id="_tvpDkbZ7EeyK9tds6XVx9g">
          <parameterSubstitution xmi:id="_tvpqoLZ7EeyK9tds6XVx9g" actual="ID_msg_ParticipantEntitiesInfo">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_bQ5QU7Z7EeyK9tds6XVx9g" name="msg">
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_msg_Gid" name="Gid">
        <ownedAttribute xmi:id="_tmThYLZ7EeyK9tds6XVx9g" name="data">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb1zgK4QEemKGaIZu1xPYw"/>
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_tmThYbZ7EeyK9tds6XVx9g"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_tmThYrZ7EeyK9tds6XVx9g" value="24"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_msg_NodeEntitiesInfo" name="NodeEntitiesInfo">
        <ownedAttribute xmi:id="_tq34ULZ7EeyK9tds6XVx9g" name="node_namespace" isStatic="true">
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_tq34UbZ7EeyK9tds6XVx9g" value="256"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_tq34UrZ7EeyK9tds6XVx9g" name="node_name" isStatic="true">
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_tq34U7Z7EeyK9tds6XVx9g" value="256"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_tq34VLZ7EeyK9tds6XVx9g" name="reader_gid_seq" type="ID_msg_Gid">
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_tq34VbZ7EeyK9tds6XVx9g"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_tq34VrZ7EeyK9tds6XVx9g" value="*"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_tq34V7Z7EeyK9tds6XVx9g" name="char[24]"/>
        <ownedAttribute xmi:id="_tq34WLZ7EeyK9tds6XVx9g" name="writer_gid_seq" type="ID_msg_Gid">
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_tq34WbZ7EeyK9tds6XVx9g"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_tq34WrZ7EeyK9tds6XVx9g" value="*"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_msg_ParticipantEntitiesInfo" name="ParticipantEntitiesInfo">
        <ownedAttribute xmi:id="_tvaaELZ7EeyK9tds6XVx9g" name="gid" type="ID_msg_Gid"/>
        <ownedAttribute xmi:id="_tvaaEbZ7EeyK9tds6XVx9g" name="char[24]"/>
        <ownedAttribute xmi:id="_tvaaErZ7EeyK9tds6XVx9g" name="node_entities_info_seq" type="ID_msg_NodeEntitiesInfo">
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_tvaaE7Z7EeyK9tds6XVx9g"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_tvbBILZ7EeyK9tds6XVx9g" value="*"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_tvbBIbZ7EeyK9tds6XVx9g" name="string&lt;" isStatic="true">
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_tvbBI7Z7EeyK9tds6XVx9g" value="256"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_tvbBJLZ7EeyK9tds6XVx9g" name="Gid[]"/>
      </packagedElement>
    </packagedElement>
    <profileApplication xmi:id="_bQ5QVLZ7EeyK9tds6XVx9g">
      <eAnnotations xmi:id="_bQ5QVbZ7EeyK9tds6XVx9g" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/bpc/1#/"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:id="_bQ5QVrZ7EeyK9tds6XVx9g">
      <eAnnotations xmi:id="_bQ5QV7Z7EeyK9tds6XVx9g" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#/"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:id="_bQ5QWLZ7EeyK9tds6XVx9g">
      <eAnnotations xmi:id="_bQ5QWbZ7EeyK9tds6XVx9g" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//components"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_EZ1TgJZ2Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:id="_bQ5QWrZ7EeyK9tds6XVx9g">
      <eAnnotations xmi:id="_bQ5QW7Z7EeyK9tds6XVx9g" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commpattern"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_8Z6x8Je6EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:id="_bQ5QXLZ7EeyK9tds6XVx9g">
      <eAnnotations xmi:id="_bQ5QXbZ7EeyK9tds6XVx9g" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//deployment"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_tu6OsJe9EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:id="_bQ5QXrZ7EeyK9tds6XVx9g">
      <eAnnotations xmi:id="_bQ5QX7Z7EeyK9tds6XVx9g" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//services"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SlbOAJe_EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:id="_bQ5QYLZ7EeyK9tds6XVx9g">
      <eAnnotations xmi:id="_bQ5QYbZ7EeyK9tds6XVx9g" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commobject"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_bz5AcPCaEeee6ab5J_C5Dg"/>
    </profileApplication>
    <profileApplication xmi:id="_bQ5QYrZ7EeyK9tds6XVx9g">
      <eAnnotations xmi:id="_bQ5QY7Z7EeyK9tds6XVx9g" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//functions"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SV7GwC6LEei0V9-WLHIyvg"/>
    </profileApplication>
    <profileApplication xmi:id="_bQ5QZLZ7EeyK9tds6XVx9g">
      <eAnnotations xmi:id="_bQ5QZbZ7EeyK9tds6XVx9g" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//parameters"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_-pU5oDmpEei--ZsfKWaFtw"/>
    </profileApplication>
    <profileApplication xmi:id="_bQ5QZrZ7EeyK9tds6XVx9g">
      <eAnnotations xmi:id="_bQ5QZ7Z7EeyK9tds6XVx9g" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//generics"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_eFhjMEnvEeien6eLHpkAxA"/>
    </profileApplication>
  </uml:Model>
  <robotics.services:ServiceDefinitionModel xmi:id="_bQ5QaLZ7EeyK9tds6XVx9g" base_Package="ID"/>
  <robotics.generics:Package xmi:id="_bQ5QabZ7EeyK9tds6XVx9g" base_Package="_bQ5QU7Z7EeyK9tds6XVx9g"/>
  <robotics.generics:Package xmi:id="_bQ5QarZ7EeyK9tds6XVx9g" base_Package="_bQ5QUrZ7EeyK9tds6XVx9g"/>
  <robotics.commobject:CommunicationObject xmi:id="_bSo8wLZ7EeyK9tds6XVx9g" base_DataType="ID_msg_Gid"/>
  <robotics.commobject:CommunicationObject xmi:id="_bSqK4LZ7EeyK9tds6XVx9g" base_DataType="ID_msg_NodeEntitiesInfo"/>
  <robotics.commobject:CommunicationObject xmi:id="_bSrZALZ7EeyK9tds6XVx9g" base_DataType="ID_msg_ParticipantEntitiesInfo"/>
  <robotics.services:ServiceDefinition xmi:id="_tmlOMLZ7EeyK9tds6XVx9g" base_Interface="svcdefs/P_Gid"/>
  <robotics.services:ServiceDefinition xmi:id="_trIXALZ7EeyK9tds6XVx9g" base_Interface="svcdefs/P_NodeEntitiesInfo"/>
  <robotics.services:ServiceDefinition xmi:id="_tvq4wLZ7EeyK9tds6XVx9g" base_Interface="svcdefs/P_ParticipantEntitiesInfo"/>
</xmi:XMI>
